## onRightMouse

### Syntax:

    onRightMouse (handlerFunction);

    onRightMouse ();

### Purpose:

Tells the computer which function to call when the right mouse button is clicked. The value of handlerFunction must be a pointer to a function which takes no parameters. The function will be called every time the user presses the right mouse button until another call to onRightMouse.

If no parameter is given, the program stops calling the current right mouse button handler function. No function will be called when the user presses the right mouse button until another call to onRightMouse tells it otherwise.

Note that only one handler for the right mouse button can be used at any one time. A subsequent call to onRightMouse will replace the current handler function.

### Return value:

No return value.

### See also:

Passing Functions as Variables

onFocusChange

onKeyboard

onLeftMouse

onLeftMouseUp

onMoveMouse

onRightMouseUp

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012